var App = angular.module('App', ['ngRoute', 'zezFilters', 'cart', 'ngTouch']);

//Define Routing for app
App.config(['$routeProvider',
    function ($routeProvider) {
        $routeProvider.
                when('/Subcategory', {
                    templateUrl: 'partials/subcategory.html',
                    controller: 'getSubCategoryCtrl'
                }).
                when('/Item', {
                    templateUrl: 'partials/item.html',
                    controller: 'getItemCtrl'
                }).
                when('/Category', {
                    templateUrl: 'partials/category.html',
                    controller: 'getCategoryCtrl'
                }).
                when('/QueryCart', {
                    templateUrl: 'partials/querycart.html',
                    controller: 'cartSummaryCtrl'
                }).
                when('/Placeorder', {
                    templateUrl: 'partials/placeOrder.html'
                }).
                when('/userLogin', {
                    templateUrl: 'partials/login.html',
                    controller: 'userLoginCtrl'
                }).
                when('/About', {
                    templateUrl: 'partials/about.html'
                }).
                when('/Query', {
                    templateUrl: 'partials/onlinequery.html',
                    controller: 'sendOnlineQueryCtrl'
                }).
                when('/UserQuery', {
                    templateUrl: 'partials/userquery.html',
                    controller: 'sendUserQueryCtrl'
                }).
                when('/Lostpassword', {
                    templateUrl: 'partials/lostpassword.html',
                    controller: 'lostPasswordCtrl'
                }).
                when('/Contact', {
                    templateUrl: 'partials/contact.html'
                }).
                when('/FairNews', {
                    templateUrl: 'partials/fairNews.html',
                    controller: 'fairNewsCtrl'
                }).
                when('/itemDetail', {
                    templateUrl: 'partials/itemdetail.html',
                    controller: 'itemDetailCtrl'
                }).
                when('/SearchItem', {
                    templateUrl: 'partials/search.html',
                    controller: 'getSearchItemCtrl'
                }).
                otherwise({
                    templateUrl: 'partials/category.html',
                    controller: 'getCategoryCtrl'
                });
    }]);
//Define Constant
App.directive('ngInitial', function () {
    return {
        restrict: 'A',
        controller: [
            '$scope', '$element', '$attrs', '$parse', function ($scope, $element, $attrs, $parse) {
                var getter, setter, val;
                val = $attrs.ngInitial || $attrs.value || $element.val() || $element.text();
                getter = $parse($attrs.ngModel);
                setter = getter.assign;
                setter($scope, val);
            }
        ]
    };
})
App.constant("productListActiveClass", "btn-primary")
        .constant("productListPageCount", 10);
//Define controller
App.controller('getCategoryCtrl', function ($scope, $http, $filter, $window, $location, productListActiveClass, productListPageCount, cart) {
    console.log("jhj");
	var qry;
        
    $scope.selectedPage = 1;
    $scope.pageSize = productListPageCount;
    //console.log($window.sessionStorage.getItem('logKey'));		
    $scope.logkey = $window.sessionStorage.getItem('logKey');

    if ($window.sessionStorage.getItem('logKey') == null) {
        qry = "select intCategoryID, strCategory, strCategoryText, blnNavAllowed from tblCategory where intDisplayRule=1 and blnLoginRequired = 0 order by intSequence ASC";
   } else {
        qry = "select intCategoryID, strCategory, strCategoryText, blnNavAllowed from tblCategory where intDisplayRule=1 order by intSequence ASC";
    } 
    //qry = "select intCategoryID, strCategory, strCategoryText, blnNavAllowed from tblCategory where intDisplayRule=1 order by intSequence ASC";
    $http({ 
        url: 'config/db.php?action=getCategory',
        method: 'GET',
        params: {Query: qry}})
            .success(function (data) {
                $scope.selectedPage = 1;
                $scope.Category = data;
               
            }).error(function (error, status) {
        $scope.error = true;
        $scope.status = status;
    });

    $scope.selectPage = function (newPage) {
        $scope.selectedPage = newPage;
    }

    $scope.getPageClass = function (page) {
        return $scope.selectedPage == page ? productListActiveClass : "";
    }

}).controller('getSubCategoryCtrl', function ($scope, $http, $location, $window, $filter, productListActiveClass, productListPageCount) { //alert($location.search().CategoryID);
    var qry;
    $scope.selectedPage = 1;
    $scope.pageSize = productListPageCount;
    $scope.logkey = $window.sessionStorage.getItem('logKey');

    $http.get('config/db.php?action=getSingleCategory&CategoryID='+$location.search().CategoryID).success(function (data) {
        $scope.CategoryImage = data[0]['imageSrc'];
        $scope.CategoryTitle = data[0]['strCategory'];
        $scope.CategoryDescription = data[0]['strCategoryText'];
    }).error(function (error, status) { //alert("error-"+status);
        $scope.error = true;
        $scope.status = status;
    });

    if ($window.sessionStorage.getItem('logKey') == null) {
        qry = "select intSubCategoryID, strSubCategory, strSubCategoryText, blnNavAllowed from tblSubCategory where intDisplayRule=1 and blnLoginRequired = 0 and intCategoryID=" + $location.search().CategoryID + " order by intSequence ASC";
    } else {
        qry = "select intSubCategoryID, strSubCategory, strSubCategoryText, blnNavAllowed from tblSubCategory where intDisplayRule=1 and intCategoryID=" + $location.search().CategoryID + " order by intSequence ASC";
    }
    //qry = "select intSubCategoryID, strSubCategory, strSubCategoryText, blnNavAllowed from tblSubCategory where intDisplayRule=1 and intCategoryID='1' order by intSequence ASC"
    $http({
        url: 'config/db.php?action=getSubCategory',
        method: 'GET',
        params: {Query: qry}})
            .success(function (data) {
                $scope.selectedPage = 1;
                $scope.SubCategory = data;
            }).error(function (error, status) {
        $scope.error = true;
        $scope.status = status;
    });

    $scope.selectPage = function (newPage) {
        $scope.selectedPage = newPage;
    }

    $scope.getPageClass = function (page) {
        return $scope.selectedPage == page ? productListActiveClass : "";
    }
}).controller('getItemCtrl', function ($scope, $http, $location, $filter, $window, productListActiveClass, productListPageCount, cart) { //alert($location.search().CategoryID);
    $scope.selectedPage = 1;
    $scope.pageSize = productListPageCount;

    $scope.cartData = cart.getProduct();
    $scope.logkey = $window.sessionStorage.getItem('logKey');
    $scope.intSubCategoryID = $location.search().SubCategoryID;
    $scope.Category=$location.search().CategoryID;
    $scope.Name=$location.search().Name;
    if ($window.sessionStorage.getItem('logKey') == null) {
       
        //qry = "SELECT intItemID, strStyleNo,intCategoryID, strSubCategory ,strSpecialInfo, blnNavAllowed FROM vwItem  where intDisplayRule=1 and blnLoginRequired = 0 and intCategoryID=" + $location.search().CategoryID + " order by intItemID DESC";
    qry = "SELECT intItemID, strStyleNo,intCategoryID, strSubCategory ,strSpecialInfo, blnNavAllowed FROM vwItem  where intCategoryID=" + $location.search().CategoryID + " order by intItemID DESC";
    
        
    } else {
        //qry = "SELECT intItemID, strStyleNo, strSubCategory ,strSpecialInfo, blnNavAllowed FROM vwItem  where intDisplayRule=1 and intSubCategoryID=" + $location.search().SubCategoryID + " order by intItemID DESC";
        //qry = "SELECT intItemID, strStyleNo,intCategoryID, strSubCategory ,strSpecialInfo, blnNavAllowed FROM vwItem  where intDisplayRule=1 and  intCategoryID=" + $location.search().CategoryID+ " order by intItemID DESC";
   qry = "SELECT intItemID, strStyleNo,intCategoryID, strSubCategory ,strSpecialInfo, blnNavAllowed FROM vwItem  where intCategoryID=" + $location.search().CategoryID + " order by intItemID DESC";
    
    }
    //qry = "SELECT intItemID, strStyleNo ,strSpecialInfo, blnNavAllowed FROM tblItem  where intDisplayRule=1 and intSubCategoryID=" + $location.search().SubCategoryID + " order by intItemID ASC";
    $http({
        url: 'config/db.php?action=getItems',
        method: 'GET',
        params: {Query: qry}})
            .success(function (data) {
                
                $scope.selectedPage = 1;
                $scope.Item = data;
                 $scope.SubCategoryTitle = data[0]['strSubCategory'];
                   $scope.Name=  $scope.Name;
            }).error(function (error, status) {
                
        $scope.error = true;
        $scope.status = status;
    });

    $scope.existInCart = function (id) {
        var addedToExistingItem = false;
        //console.log('getItem-'+$scope.cartData[0].name);
        for (var i = 0; i < $scope.cartData.length; i++) {
            if ($scope.cartData[i].id == id) {
                addedToExistingItem = true;
                break;
            }
        }
        return addedToExistingItem;
    }
    $scope.selectPage = function (newPage) {
        $scope.selectedPage = newPage;
    }

    $scope.getPageClass = function (page) {
        return $scope.selectedPage == page ? productListActiveClass : "";
    }

    $scope.chkChange = function (product, chkValue) { //console.log(product.intItemID+'-'+chkValue);
        if (chkValue === false) {
            cart.addProduct(product.intItemID, product.strStyleNo, product.imageSrc);
        } else if (chkValue === true) {
            cart.removeProduct(product.intItemID);
        }
    }
}).controller("cartSummaryCtrl", function ($scope, $http, cart) {
    $scope.cartData = cart.getProduct();

    $scope.total = function () {
        var total = 0;
        for (var i = 0; i < $scope.cartData.length; i++) {
            total += $scope.cartData[i].count;
        }
        return total;
    }

    $scope.remove = function (id) {
        cart.removeProduct(id);
        //console.log($scope.cartData);
    }

    $scope.sendQuery = function () {
        $scope.Succesmsg = '';
        $scope.Errormsg =
                console.log($scope.cartData);
        $http.post('config/db.php?action=sendCartQuery',
                {'name': $scope.name,
                    'email': $scope.email,
                    'message': $scope.message,
                    'cartData': $scope.cartData
                }).success(function (data) {
            //if (data == 1) {
                $scope.Succesmsg = 'Query Send Successfully';
              //  console.log(data);
                // alert('inn');  
            //} else {
              
            //}

        }).error(function (error, status) {
            console.log('error');
              $scope.Errormsg = 'Query not send';
        });
    }

}).controller("userLoginCtrl", function ($scope, $http, $location, $window, $route, $timeout, cart) {
    
    var values = [], pageName = $location.search().pageName;
    $window.sessionStorage.setItem('urlPageName', $location.search().pageName);
    $window.sessionStorage.setItem('urlCatID', $location.search().CategoryID);
    $window.sessionStorage.setItem('urlSubCatID', $location.search().SubCategoryID);
    $window.sessionStorage.setItem('urlIndex', $location.search().index);
    
	$('#mySlider').css('display','none');
    $scope.getLogin = function () {
       // alert('inn');
        $http.post('config/db.php?action=userLogin',
                {'user': $scope.username,
                    'password': $scope.password}
        ).success(function (data) {
            //console.log('success-'+data[0]['strLogin']);
           
            var currentTime = new Date();
            currentTime = currentTime.getTime();
           //alert(data);
            if (data.length > 0) {
                values.push(data[0]['intDBUserId']);
                values.push(data[0]['strLogin']);
                values.push(data[0]['strUserName']);
                values.push(data[0]['intDBRoleType']);

                $window.sessionStorage.setItem('logKey', values.join("/"));
                $window.sessionStorage.setItem('loginTime', currentTime);
               //alert(data[0]['strLogin']);
                if (values[0] > 0) {
                    
                    $scope.errorMsg = true;
                    $scope.output = 'Logged in Successfully !!!';
                    $timeout(function () {
                        
                        if ($window.sessionStorage.getItem('urlPageName') == 'Category') {
                            $window.location.reload();
                           // $window.location.href = "index.html#Subcategory?CategoryID=" + $window.sessionStorage.getItem('urlCatID');
                            $window.location.href = "index.html#Item?CategoryID=" + $window.sessionStorage.getItem('urlCatID');
                           
                        } else if ($window.sessionStorage.getItem('urlPageName') == 'Subcategory') {
                            $window.location.reload();				
                            //$window.location.href = "index.html#Item?SubCategoryID=" + $window.sessionStorage.getItem('urlSubCatID');
                           $window.location.href = "index.html#Item?CategoryID=" + $window.sessionStorage.getItem('urlCatID');
                        } else if ($window.sessionStorage.getItem('urlPageName') == 'Item') {
                            $window.location.reload();
                            $window.location.href = "index.html#itemDetail?SubCategoryID=" + $window.sessionStorage.getItem('urlSubCatID') + "&index=" + $window.sessionStorage.getItem('urlIndex');
                        } else if ($window.sessionStorage.getItem('urlPageName') == 'SearchItem') {
                            $window.location.reload();                            
                            $window.location.href = "index.html#itemDetail?SubCategoryID=" + $window.sessionStorage.getItem('urlSubCatID') + "&index=" + $window.sessionStorage.getItem('urlIndex');
                        } else if ($window.sessionStorage.getItem('urlPageName') == 'index') {
                            $window.location.reload();                            
                            $window.location.href = "index.html";
                        }
                    }, 2000);

                }
            } else {
                console.log('error');
                $scope.errorMsg = true;
                $scope.output = 'You have entered wrong Username or Password!!!';
                $scope.password = "";
            }
        })
                .error(function (error, status) {
                    $scope.errorMsg = true;
                    $scope.output = 'You have entered wrong Username or Password!!!';
                    $scope.password = "";
                });
    }
}).controller("MainCtrl", function ($scope, $http, $sce, $window, $location) {
    var catQry, html = "", logKey = '';
    logKey = $window.sessionStorage.getItem('logKey');
    if ($window.sessionStorage.getItem('logKey') == null) {
        $('#displaysearch').css('display','none')
        catQry = "SELECT intCategoryID ,strCategory,intSubCategoryID,strSubCategory, CatblnNavAllowed, SubCatblnNavAllowed FROM vwSubCategory where CategoryDisplayRule=1 and intDisplayRule=1 and CatblnLoginRequired = 0 and SubCatblnLoginRequired = 0 order by strCategory,strSubCategory";
    } else {
       $('#displaysearch').css('display','true')
        catQry = "SELECT intCategoryID ,strCategory,intSubCategoryID,strSubCategory, CatblnNavAllowed, SubCatblnNavAllowed FROM vwSubCategory where CategoryDisplayRule=1 and intDisplayRule=1 order by strCategory,strSubCategory";
    }

    $scope.logkey = $window.sessionStorage.getItem('logKey');

    $scope.logout = function () {
        
        if ($window.sessionStorage.getItem('logKey') != null)
        {
            $window.sessionStorage.removeItem('logKey');
            $window.location.href = "index.html";
        } else {
            $window.location.href = "index.html#userLogin?pageName=index";
        }
    }
   // catQry = "SELECT intCategoryID ,strCategory,intSubCategoryID,strSubCategory, CatblnNavAllowed, SubCatblnNavAllowed FROM vwSubCategory where CategoryDisplayRule=1 and intDisplayRule=1 order by strCategory,strSubCategory";
    $http({
        url: 'config/db.php?action=getDropdown',
        method: 'GET',
        params: {Query: catQry}})
            .success(function (data) {
                                var intCatID = 0, intCount = 0;
                for (i = 0; i < data.length; i++) {
                    var catblnNavAllowed = data[i]['CatblnNavAllowed'];
                    var SubCatblnNavAllowed = data[i]['SubCatblnNavAllowed'];
                    var Category = data[i]['strCategory'];
                     if (intCatID != data[i]['intCategoryID']) {
                        intCatID = data[i]['intCategoryID'];
                      if (intCount != 0) {
                            html += '</ul>';
                            html += '</li>';
                        }
                           html +='<li  class="has-sub"><a href="#' + ((logKey == null && catblnNavAllowed == 0) ? 'userLogin?pageName=Category&' : 'Subcategory?') + 'CategoryID=' + data[i]['intCategoryID']+'">' + Category + '</a>';
                             
                       html +='<ul>';
                        intCount = 1;
                    }
                  html +='<li><a href="#' + ((logKey == null && SubCatblnNavAllowed == 0) ? 'userLogin?pageName=Subcategory&' : 'Item?') + 'SubCategoryID=' + data[i]['intSubCategoryID'] + '&SubCategoryName=' + data[i]['strSubCategory'] + '" class="sf-with-ul" >'+ data[i]['strSubCategory'] + '</a></li>';
                  }
               html +='</ul>';
                html +='</li>';
                   
                $scope.Dropdownmenu = $sce.trustAsHtml(html);
                //alert($scope.Dropdownmenu);
            }).error(function (error, status) {
                alert(error);
        $scope.error = true;
        $scope.status = status;
    });

    $scope.SearchItem = function () { //console.log('fsdfsd');
        $window.location.href = "#SearchItem?q=" + $scope.Search;
    }

}).controller('itemDetailCtrl', function ($scope, $http, $location, $window, cart) { //alert($location.search().CategoryID);
    var qry;
    $scope.cartData = cart.getProduct();

    if ($window.sessionStorage.getItem('logKey') == null) {
        //qry = "SELECT intItemID, strStyleNo ,strSpecialInfo,  strMaterial, strFinish, strSubCategory FROM vwItem  where intDisplayRule=1 and blnLoginRequired = 0 and intSubCategoryID=" + $location.search().SubCategoryID + " and blnNavAllowed=1 order by intItemID DESC";
        qry = "SELECT intItemID, strStyleNo ,strSpecialInfo,  strMaterial, strFinish, strSubCategory,strDiscription FROM vwItem  where intDisplayRule=1 and blnLoginRequired = 0 and intCategoryID=" + $location.search().CategoryID + " and blnNavAllowed=1 order by intItemID DESC";
    } else {
       // qry = "Select intItemID, strStyleNo ,strSpecialInfo,  strMaterial, strFinish, strSubCategory FROM vwItem  where intDisplayRule=1 and intSubCategoryID=" + $location.search().SubCategoryID + " order by intItemID DESC";
       qry = "SELECT intItemID, strStyleNo ,strSpecialInfo,  strMaterial, strFinish, strSubCategory,strDiscription  FROM vwItem  where intDisplayRule=1 and blnLoginRequired = 0 and intCategoryID=" + $location.search().CategoryID + " and blnNavAllowed=1 order by intItemID DESC";
    }
   // qry = "Select intItemID, strStyleNo ,strSpecialInfo,  strMaterial, strFinish, strSubCategory FROM vwItem  where intDisplayRule=1 and intSubCategoryID=" + $location.search().SubCategoryID + " order by intItemID ASC";
    $http({url: 'config/db.php?action=getItemDetail',
        method: 'GET',
        params: {Query: qry}})
            .success(function (data) {
                console.log(data);
                $scope.ItemData = data;
                
            }).error(function (error, status) {
        $scope.error = true;
        $scope.status = status;
    });

    // initial image index
    $scope._Index = parseInt($location.search().index);

    // if a current image is the same as requested image
    $scope.isActive = function (index) { //console.log('index-'+index)
        return $scope._Index === index;
    };

    // show prev image
    $scope.showPrev = function () {
        $scope._Index = ($scope._Index > 0) ? --$scope._Index : $scope.ItemData.length - 1;
    };

    // show next image
    $scope.showNext = function () {
        $scope._Index = ($scope._Index < $scope.ItemData.length - 1) ? ++$scope._Index : 0;
    };

    // show a certain image
    $scope.showPhoto = function (index) {
        $scope._Index = index;
    };

    $scope.existInCart = function (id) {
        var addedToExistingItem = false;
        for (var i = 0; i < $scope.cartData.length; i++) {
            if ($scope.cartData[i].id == id) {
                addedToExistingItem = true;
                break;
            }
        }
        return addedToExistingItem;
    }

    $scope.AddtoCart = function (product, chkValue) {
        if (chkValue === false) {
            cart.addProduct(product.intItemID, product.strStyleNo, product.imageSrc);
        } else if (chkValue === true) {
            cart.removeProduct(product.intItemID);
        }
    }
}).controller('getSearchItemCtrl', function ($scope, $http, $location, $filter, $window, productListActiveClass, productListPageCount, cart) { //alert($location.search().CategoryID);
    //console.log('helo');
    $scope.selectedPage = 1;
    $scope.pageSize = productListPageCount;
    $scope.searchquery= $location.search().q;
    $scope.cartData = cart.getProduct();
    $scope.logkey = $window.sessionStorage.getItem('logKey');
    alert($scope.logkey);
    if ($scope.logkey == null) {

        qry = 'SELECT  intItemID, strStyleNo, intCategoryID, intSubCategoryID, strSubCategory,strDiscription, strItemSize, strSpecialInfo, blnNavAllowed ';
        qry += 'FROM   vwItem ';
        qry += 'WHERE  intDisplayRule=1 and blnLoginRequired = 0 and (strCategory LIKE "%' + $location.search().q + '%") OR ';
        qry += '(strStyleNo LIKE "%' + $location.search().q + '%") OR ';
        qry += '(strDiscription LIKE "%' + $location.search().q + '%") OR ';
        qry += '(strSubCategory LIKE "%' + $location.search().q + '%") OR ';
        qry += '(strSpecialInfo LIKE "%' + $location.search().q + '%")';
    } else {

        qry = 'SELECT  intItemID, strStyleNo, intCategoryID, intSubCategoryID, strSubCategory,strDiscription, strItemSize, strSpecialInfo, blnNavAllowed ';
        qry += 'FROM   vwItem ';
        qry += 'WHERE  intDisplayRule=1 and (strCategory LIKE "%' + $location.search().q + '%") OR ';
        qry += '(strStyleNo LIKE "%' + $location.search().q + '%") OR ';
        qry += '(strDiscription LIKE "%' + $location.search().q + '%") OR ';
        qry += '(strSubCategory LIKE "%' + $location.search().q + '%") OR ';
        qry += '(strSpecialInfo LIKE "%' + $location.search().q + '%")';
    }

    $http({
        url: 'config/db.php?action=getSearchItem',
        method: 'GET',
        params: {Query: qry}})
            .success(function (data) {
                //console.log("ID-"+data[0]['intSubCategoryID']);
                $scope.selectedPage = 1;
                $scope.SearchItem = data;
            }).error(function (error, status) {
        $scope.error = true;
        $scope.status = status;
    });

    $scope.existInCart = function (id) {
        var addedToExistingItem = false;
        //console.log('getItem-'+$scope.cartData[0].name);
        for (var i = 0; i < $scope.cartData.length; i++) {
            if ($scope.cartData[i].id == id) {
                addedToExistingItem = true;
                break;
            }
        }
        return addedToExistingItem;
    }
    $scope.selectPage = function (newPage) {
        $scope.selectedPage = newPage;
    }

    $scope.getPageClass = function (page) {
        return $scope.selectedPage == page ? productListActiveClass : "";
    }

    $scope.chkChange = function (product, chkValue) { //console.log(product.intItemID+'-'+chkValue);
        if (chkValue === false) {
            cart.addProduct(product.intItemID, product.strStyleNo, product.imgSrc);
        } else if (chkValue === true) {
            cart.removeProduct(product.intItemID);
        }
    }
}).controller("sendOnlineQueryCtrl", function ($scope, $timeout, $http) {

    $scope.sendQuery = function () {
        $scope.Errormsg = '';
       
        if($scope.companyname == null || $scope.companyname === "" || $scope.user==null || $scope.user === "" || $scope.email == null || $scope.email === "" || $scope.message == null || $scope.message === "" || $scope.contact==null || $scope.contact==="" )
        {
               alert("* Fields required");    
        }
        
        else
        {
        $http.post('config/db.php?action=sendOnlineQuery',
                {'CompanyName': $scope.companyname,
                    'Name': $scope.user,
                    'Email': $scope.email,
                    'Contact': $scope.contact,
                    'Address': $scope.address,
                    'City': $scope.city,
                    'Country': $scope.country,
                    'Subject': $scope.subject,
                    //'Captcha': $scope.Captcha,
                    'Query': $scope.message
                }).success(function (data) {
            $scope.Succesmsg = 'Query Send Successfully';
            $timeout(function () {
                window.location.href = '#Category';
            }, 5000);

        }).error(function (error, status) {
            console.log('error');
        });
    }
    

        return intvalid;
    }

}).controller("sendUserQueryCtrl", function ($scope, $timeout, $http) {

    $scope.sendQuery = function () {
        var intvalid = 0;
 if($scope.companyname == null || $scope.companyname === "" || $scope.user==null || $scope.user === "" || $scope.email == null || $scope.email === "" || $scope.message == null || $scope.message === "" || $scope.contact==null || $scope.contact==="" )
        {
               alert("* Fields required");    
        }
        
        else
        {
        $http.post('config/db.php?action=sendUserQuery',
                {'CompanyName': $scope.companyname,
                    'Name': $scope.user,
                    'Email': $scope.email,
                    'Contact': $scope.contact,
                    'Address': $scope.address,
                    'City': $scope.city,
                    'Country': $scope.country,
                    //'Captcha': $scope.Captcha,
                    'Query': $scope.message
                }).success(function (data) {
            $scope.Succesmsg = 'Query Send Successfully';
            $timeout(function () {
                window.location.href = '#Category';
            }, 5000);
        }).error(function (error, status) {
            console.log('error');
        });
        }
//                    } else {
//                        $scope.Errormsg = 'Image text does not match';
//                    }

//                }).error(function (error, status) { 
//            console.log('error');
//
        //       });
        return intvalid;
    }
// 
}).controller("fairNewsCtrl", function ($scope, $http) {
    var qry;
    qry = "SELECT intNewsID, strSubject, strNews, DATE(dtNews) FROM tblNews order by dtNews ASC"
    $http({
        url: 'config/db.php?action=getFairNews',
        method: 'GET',
        params: {Query: qry}})
            .success(function (data) {
                $scope.NewsData = data;
            }).error(function (error, status) {
        console.log('error');
    });

}).controller("lostPasswordCtrl", function ($scope, $http) {
    var qry;
    
//qry = "SELECT strPassword, strEmail FROM tblDBUser where strLogin ='neha' ";

    $scope.getpassword = function () {
        //qry = "SELECT strPassword, strEmail FROM tblDBUser where strEmail = " + $scope.user;
    
        qry=$scope.user;
        $http({
            url: 'config/db.php?action=getPassword',
            method: 'GET',
            params: {Query: qry}})
                .success(function (data) {
                    //console.log(data);
                    alert("Your password has sent successfully.");
                }).error(function (error, status) {
            console.log('error');
        });
    }


});
